void help() {

  String response = "";

  response = "<!DOCTYPE html>";
  response += "<html lang=\"de\">";
  response += "<head>";
  response +=     "<meta charset=\"UTF-8\">";
  response +=     "<title>ESP8266 Template - Hilfe und Status</title>";
  response +=     "<meta content=\"Steuerung\" name=\"Steuerung für\">";
  response += "</head>";
  response += "<body bgcolor=\"#FAEBD7\">";
  response +=     "<h1><font color=\"#808080\">Template - Hilfe und Statusseite</h1>";
  response +=     "<h2><font color=\"#808080\">Systeminformationen und Status:</h2>";
  response +=     "<ul><font color=\"#101010\">";
  response +=         "<li>Sketch Name = ";
  response +=         sketchName;
  response +=         "</li>";
  response +=         "<li>Sketch Version = ";
  response +=         sketchVersion;
  response +=         "</li>";
  response +=         "<li>Chip-ID = ";
  response +=         ESP.getChipId();
  response +=         "</li>";
  response +=         "<li>Verbunden mit = ";
  response +=         WiFi.SSID();
  response +=         "</li>";
  response +=         "<li>BSSID = ";
  response +=         WiFi.BSSIDstr();
  response +=         "</li>";
  response +=         "<li>Signalstärke = ";
  response +=         WiFi.RSSI();
  response +=         " dBm</li>";
  response +=         "<li>WiFi Status = ";
  response +=         WiFi.status();
  response +=         " (3 = verbunden)";
  response +=         "</li>";
  response +=         "<li>Aktueller WiFi Modus = ";
  response +=         WiFi.getMode();
  response +=         " (1 = nur Client, 2 = nur AP, 3 = Client und AP)";
  response +=         "</li>";
  response +=         "<li>Netzwerkname = ";
  response +=         host_name;
  response +=         "</li>";
  response +=         "<li>IP-Adresse = ";
  response +=         WiFi.localIP().toString();
  response +=         "</li>";
  response +=         "<li>Speichergröße = ";
  response +=         ESP.getFlashChipRealSize();
  response +=         " bytes (4MB/1MB in Arduino Software einstellen)</li>";
  response +=         "<li>Free heap size = ";
  response +=         ESP.getFreeHeap();
  response +=         "</li>";
  response +=         "<li>Reboot Reason = ";
  response +=         ESP.getResetReason();
  response +=         "</li>";
  response +=         "<li>Uptime = ";
  response +=         millis();
  response +=         "</li>";
  response +=       "</ul>";
  response +=     "<hr/>";
  response +=     "<h2><font color=\"#808080\">Funktionsbeschreibung:</h2>";
  response +=       "<h3><font color=\"#101010\">Mit dem Gerät können folgende Status gesetzt werden:</h3>";
  response +=       "<p></p>";
  response +=       "<h3><font color=\"#101010\">Mit dem Gerät werden folgende Informationen gesendet:</h3>";
  response +=       "<p>Nach einem Neustart wird an den UDP Port des Zielservers die Reboot Information gesendet.</p>";
  response +=       "<p>Format: Reboot = [hostname]; Reason = [Rebootreason]; ReasonID = [ID]</p>";
  response +=       "<p>  0 = REASON_DEFAULT_RST      = normal startup by power on</p>";
  response +=       "<p>  1 = REASON_WDT_RST          = hardware watch dog reset</p>";
  response +=       "<p>  2 = REASON_EXCEPTION_RST    = exception reset, GPIO status won’t change</p>";
  response +=       "<p>  3 = REASON_SOFT_WDT_RST     = software watch dog reset, GPIO status won’t change</p>";
  response +=       "<p>  4 = REASON_SOFT_RESTART     = software restart ,system_restart , GPIO status won’t change</p>";
  response +=       "<p>  5 = REASON_DEEP_SLEEP_AWAKE = wake up from deep-sleep</p>";
  response +=       "<p>  6 = REASON_EXT_SYS_RST      = external system reset</p>";
  response +=       "<p>Alle ";
  response +=       aliveIntervall /1000;
  response +=       " Sekunden wird ein Alive Signal an: ";
  response +=       aliveIp.toString();
  response +=       " Port: ";
  response +=       alivePort;
  response +=       " gesendet</p>";
  response +=       "<p>Wenn über das HTTP Interface Zustände geändert werden, wird per UDP benachrichtigt</p>";
  response +=     "<hr/>";
  response +=     "<h2><font color=\"#808080\">HTTP Schnittstelle:</h2>";
  response +=     "<ul><font color=\"#101010\">";
  response +=         "<li>";
  response +=           "<p><b>Update:</b> <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/update\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/update</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Reset der WLAN Zugangsdaten:</b> <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/reset\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/reset</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Reboot:</b> <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/reboot\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/reboot</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Format File System (will delete all additional data):</b> <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/formatfs\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/formatfs</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Read stored additional data:</b> <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/readconfig\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/readconfig</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Change additional Data:</b> <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/saveconfig?hostname=";
  response +=           host_name;
  response +=           "&senddatato=";
  response +=           send_data_to;
  response +=           "&udpport=";
  response +=           udp_send_port;
  response +=           "\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/saveconfig?hostname=";
  response +=           host_name;
  response +=           "&senddatato=";
  response +=           send_data_to;
  response +=           "&udpport=";
  response +=           udp_send_port;
  response +=           "</p></a>";
  response +=           "<p>New parameters will be active after reboot.</p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Change AliveSignal Config:</b> <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/alivesaveconfig?ip=";
  response +=           aliveIp.toString();
  response +=           "&port=";
  response +=           alivePort;
  response +=           "&intervall=";
  response +=           aliveIntervall;
  response +=           "\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/alivesaveconfig?ip=";
  response +=           aliveIp.toString();
  response +=           "&port=";
  response +=           alivePort;
  response +=           "&intervall=";
  response +=           aliveIntervall;
  response +=           "</p></a>";
  response +=           "<p>New parameters will be active after reboot.</p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Lesen aller Datensätze (Datensatz Adresse 0 - 7)</b></p>";
  response +=           "<p>Lesen <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=4&dataadr1=0&dataadr2=0&data1=0&data2=8\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=4&dataadr1=0&dataadr2=0&data1=0&data2=8</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Einschalten</b></p>";
  response +=           "<p>Lesen <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=0&data1=0&data2=1\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=0&data1=0&data2=1</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Ausschalten</b></p>";
  response +=           "<p>Lesen <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=0&data1=0&data2=0\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=0&data1=0&data2=0</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Zieltemperatur setzen</b></p>";
  response +=           "<p>18 Grad <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=1&data1=0&data2=180\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=1&data1=0&data2=180</a></p>";
  response +=           "<p>20 Grad <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=1&data1=0&data2=200\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=1&data1=0&data2=200</a></p>";
  response +=           "<p>22 Grad <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=1&data1=0&data2=220\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=1&data1=0&data2=220</a></p>";
  response +=           "<p>24 Grad <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=1&data1=0&data2=240\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=1&data1=0&data2=240</a></p>";
  response +=           "<p>26 Grad <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=1&data1=1&data2=4\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=1&data1=1&data2=4</a></p>";
  response +=           "<p>28 Grad <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=1&data1=1&data2=24\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=1&data1=1&data2=24</a></p>";
  response +=           "<p>30 Grad <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=1&data1=1&data2=44\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=1&data1=1&data2=44</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Betriebsmodus</b></p>";
  response +=           "<p>Auto <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=3&data1=0&data2=1\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=3&data1=0&data2=1</a></p>";
  response +=           "<p>kühlen <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=3&data1=0&data2=2\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=3&data1=0&data2=2</a></p>";
  response +=           "<p>heizen <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=3&data1=0&data2=3\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=3&data1=0&data2=3</a></p>";
  response +=           "<p>belüften <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=3&data1=0&data2=4\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=3&data1=0&data2=4</a></p>";
  response +=           "<p>trocknen <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=3&data1=0&data2=5\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=3&data1=0&data2=5</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Geschwindigkeit</b></p>";
  response +=           "<p>Auto <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=4&data1=0&data2=0\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=4&data1=0&data2=0</a></p>";
  response +=           "<p>Stufe 1 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=4&data1=0&data2=1\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=4&data1=0&data2=1</a></p>";
  response +=           "<p>Stufe 2 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=4&data1=0&data2=2\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=4&data1=0&data2=2</a></p>";
  response +=           "<p>Stufe 3 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=4&data1=0&data2=3\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=4&data1=0&data2=3</a></p>";
  response +=           "<p>Stufe 4 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=4&data1=0&data2=4\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=4&data1=0&data2=4</a></p>";
  response +=           "<p>Stufe 5 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=4&data1=0&data2=5\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=4&data1=0&data2=5</a></p>";
  response +=           "<p>Stufe 6 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=4&data1=0&data2=6\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=4&data1=0&data2=6</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Lamellen</b></p>";
  response +=           "<p>Auto <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=8\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=8</a></p>";
  response +=           "<p>Swing <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=9\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=9</a></p>";
  response +=           "<p>Swirl <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=10\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=10</a></p>";
  response +=           "<p>Position 0 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=0\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=0</a></p>";
  response +=           "<p>Position 1 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=1\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=1</a></p>";
  response +=           "<p>Position 2 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=2\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=2</a></p>";
  response +=           "<p>Position 3 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=3\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=3</a></p>";
  response +=           "<p>Position 4 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=4\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=4</a></p>";
  response +=           "<p>Position 5 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=5\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=5</a></p>";
  response +=           "<p>Position 6 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=6\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=6</a></p>";
  response +=           "<p>Position 7 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=7\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/request?slaveadress=1&code=6&dataadr1=0&dataadr2=5&data1=0&data2=7</a></p>";
  response +=         "</li>";
  response +=     "</ul>";
  response += "";
  response += "";
  response += "</body>";
  response += "</html>";

  server.send ( 200, "text/html", response);
}
