// HTTP Interface über das Befehle an den Modbus gesendet werden können

void request() {
  byte SlaveAdress;
  byte Operationscode;
  byte Datensatzadresse1;
  byte Datensatzadresse2;
  byte Daten1;
  byte Daten2;
  byte CRC1;
  byte CRC2;

  String response = "";

  if (server.hasArg("slaveadress") && server.hasArg("code") && server.hasArg("dataadr1")  && server.hasArg("dataadr2")  && server.hasArg("data1")  && server.hasArg("data2")) {
    //String temp = server.arg("slaveadress");
    // Übertragen der Argumente aus dem Request in die Variablen
    SlaveAdress = server.arg("slaveadress").toInt() % 256;
    Operationscode = server.arg("code").toInt() % 256;
    Datensatzadresse1 = server.arg("dataadr1").toInt() % 256;
    Datensatzadresse2 = server.arg("dataadr2").toInt() % 256;
    Daten1 = server.arg("data1").toInt() % 256;
    Daten2 = server.arg("data2").toInt() % 256;
    // Ermitteln der CRC16Modbus Bytes
    byte data[] = { SlaveAdress, Operationscode, Datensatzadresse1, Datensatzadresse2, Daten1, Daten2 };
    unsigned int crc = 0xFFFF;
    for (unsigned int i = 0; i < sizeof(data); i++)
    {
      crc = _crc16_update(crc, data[i]);
    }
    CRC1 = crc % 256;
    CRC2 = crc / 256;
    // Daten auf der seriellen Schnittstelle ausgeben
    digitalWrite(SSerialTxControl, RS485Transmit);  // Enable RS485 Transmit
    delay(10);
    Serial.write(SlaveAdress);                      // Send byte
    Serial.write(Operationscode);                   // Send byte
    Serial.write(Datensatzadresse1);                // Send byte
    Serial.write(Datensatzadresse2);                // Send byte
    Serial.write(Daten1);                           // Send byte
    Serial.write(Daten2);                           // Send byte
    Serial.write(CRC1);                             // Send byte
    Serial.write(CRC2);                             // Send byte
    delay(6);
    digitalWrite(SSerialTxControl, RS485Receive);   // Enable RS485 Transmit
    // Ein wenig warten bis die Antwort da sein sollte
    delay(100);
    // Antwort auf der seriellen Schnittstelle einlesen
    Serial.setTimeout(200);
    if (Serial.available() > 0) {
      // read the incoming byte:
      int len = Serial.available();
      response = "{";
      response += "\"receivedBytes\": ";
      response += len + 1;
      response += ",";
      byte incommingByte[len];
      Serial.readBytes(incommingByte, len);
      for ( int i = 0; i <= len; i++ ) {
        response += "\"Byte";
        response += i+1;
        response += "\": ";
        response += incommingByte[i];
        response += ",";
        }
      response = response.substring(0, response.length() - 1);     // das letzte Komma muss weg
      response += "}";
      }
  }

//  server.send ( 200, "text/html", response);
  server.send ( 200, "text/json", response);

}

